/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomNavigator_H__
#define __GdomNavigator_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomNavigator GdomNavigator;
typedef struct _GdomNavigatorClass GdomNavigatorClass;


#define GDOM_TYPE_NAVIGATOR            (gdom_navigator_get_type())
#define GDOM_NAVIGATOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_NAVIGATOR, GdomNavigator))
#define GDOM_NAVIGATOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_NAVIGATOR, GdomNavigator)Class)
#define GDOM_IS_NAVIGATOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_NAVIGATOR))
#define GDOM_IS_NAVIGATOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_NAVIGATOR))
#define GDOM_NAVIGATOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_NAVIGATOR, GdomNavigatorClass))

typedef struct _GdomNavigatorPrivate GdomNavigatorPrivate;

struct _GdomNavigator {
    GdomDOMObject parent_instance;
    GdomNavigatorPrivate *priv;
};

struct _GdomNavigatorClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_navigator_get_type (void);

WEBKIT_API gboolean
gdom_navigator_java_enabled (GdomNavigator *thiz);

G_END_DECLS

#endif /* __GdomNavigator_H__ */
